<!-- Michał Walkiewicz 17768 ID06IO2 Widok listy ofert!-->
<?php
$this->headScript()->appendFile($this->basePath('/js/oferty.js'));
$form->setAttribute('action', $this->url('nieruchomosci/oferty', []))
?>

<?= $this->form()->openTag($form) ?>

<h2 class="my-3">Lista ofert</h2>

<table class="table table-striped">
    <thead>
        <tr style="text-align:center">
            <th></th>
            <th><?= $form->get('typ_oferty')->getLabel() ?></th>
            <th><?= $form->get('typ_nieruchomosci')->getLabel() ?></th>
            <th><?= $form->get('numer')->getLabel() ?></th>
            <th colspan='2'><?= $form->get('powierzchniaMin')->getLabel() ?></th>
            <th colspan='2'><?= $form->get('cenaMin')->getLabel() ?></th>
            <th></th>
        </tr>
        <tr class="szukaj">
            <th></th>
            <th><?= $this->formElement($form->get('typ_oferty')) ?></th>
            <th><?= $this->formElement($form->get('typ_nieruchomosci')) ?></th>
            <th><?= $this->formElement($form->get('numer')) ?></th>
            <th><?= $this->formElement($form->get('powierzchniaMin')) ?></th>
            <th><?= $this->formElement($form->get('powierzchniaMax')) ?></th>
            <th><?= $this->formElement($form->get('cenaMin')) ?></th>
            <th><?= $this->formElement($form->get('cenaMax')) ?></th>
            <th><?= $this->formSubmit($form->get('szukaj')) ?></th>
        </tr>
    </thead>
    <tbody>
        <?php foreach ($oferty as $of): ?>
            <tr style="text-align:center">
                <td><?= $of->id ?></td>
                <td><?= $of->typ_oferty ?></td>
                <td><?= $of->typ_nieruchomosci ?></td>
                <td><?= $of->numer ?></td>
                <td colspan='2'><?= $of->powierzchnia ?></td>
                <td colspan='2'><?= $of->cena ?></td>
                <td>
                    <a href="<?= $this->url('nieruchomosci/oferty', ['action' => 'szczegoly', 'id' => $of->id]) ?>" title="szczegóły"><i class="fas fa-folder-open"></i></a>&nbsp;
                    <a href="#" title="dodaj do koszyka" class="aDodajDoKoszyka"><i class="fas fa-cart-plus"></i></a>&nbsp;
                    <a href="#" title="drukuj"><i class="fas fa-print"></i></a>
                </td>
            </tr>
        <?php endforeach; ?>
    </tbody>
</table>

<?= $this->paginationControl(
    $oferty, 
    'sliding', 
    ['partial/paginator.phtml', 'Nieruchomosci'], 
    ['route' => 'nieruchomosci/oferty', 'parametry' => $parametry]
)
?>

<?= $this->form()->closeTag($form); ?>